import { evaluateVisibilityStepCondition as l } from "../evaluateVisibilityStepCondition/index.js";
const a = (e, i, n, o) => {
  for (let t = e + 1; t < i.length; t++) {
    const r = i[t];
    if (l(r, n || {}, o))
      return t;
  }
  return i.length;
};
export {
  a as findNextVisibleValidStep
};
